Bug 1277971 - Running SmartState analysis on Openstack Infrastructure nodes can take a long time
Running SmartState analysis on Openstack Infrastructure nodes can take a long...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Performance (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Ladislav Smola
Marius Cornea
openstack
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 07:50 EST by Marius Cornea
Modified: 2015-12-08 08:43 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:43:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Cornea 2015-11-04 07:50:58 EST
Description of problem:
Running SmartState analysis on Openstack Infrastructure nodes can take a long time. 

Version-Release number of selected component (if applicable):
5.5.0.9-beta2.20151102161742_5530c9a

How reproducible:
100%

Steps to Reproduce:
1. Add Openstack Infrastructure Provider 
2. Run SmartState Analysis on the ironic nodes

Actual results:
The SmartState Analysis goes on for a long time.

Expected results:
SSA completes in a timely manner.

Additional info:

Upstream PR: 
https://github.com/ManageIQ/manageiq/pull/4764
Comment 3 CFME Bot 2015-11-12 15:33:34 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=1d8eb6d74585dc38bfdf833033859e54e0df6bad

commit 1d8eb6d74585dc38bfdf833033859e54e0df6bad
Merge: c03f1c3 dd2811c
Author:     Greg Blomquist <gblomqui@redhat.com>
AuthorDate: Thu Nov 12 10:09:00 2015 -0500
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Thu Nov 12 10:09:00 2015 -0500

    Merge branch 'bz1277971' into '5.5.z'
    
    Optimize getting last logon
    
    Doing it all in one pass through of the parsed log. Since the log
    can be huge, we can't go though the array for each user.
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1277971
    
    Clean cherrypick of:
    https://github.com/ManageIQ/manageiq/pull/4764
    
    See merge request !420

 gems/pending/metadata/linux/LinuxUsers.rb | 21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)
Comment 5 errata-xmlrpc 2015-12-08 08:43:42 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.